Gets specific Supplier Return Reason by unique id
Gets specific Supplier Return Reason by unique id
Path Parameters
Supplier Return Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Return Reason
SupplierReturnReasons
Supplier Return Reason model
Supplier Return Reason Id.
Supplier Return Reason name
Created on
Modified on
Is Supplier Return Reason deleted
Default:false
Deleted on
Path Parameters
Headers
supplierreturns
Searches Supplier Returns by parameters
Searches Supplier Returns by parameters
Query Parameters
List of supplier returns identifiers
Example: 2,3,4
List of supplier identifiers
Example: 2,3,4
List of outlet identifiers
Example: 2,3,4
List of Supplier Return Status identifiers
Example: 2,3,4
Created since
Modified since
Include Credit Notes flag
Order by.
Available field name values: id, supplier, outlet, supplier_return_status, return_authorisation, total_return_quantity, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, total_credit_received_ex, total_credit_received_inc, created_on, started_on, modified_on, finalised_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname.
Available direction values: asc, desc.
Example: id asc, supplier desc
Filter by.
Available field name values: id, supplier, outlet, supplier_return_status, return_authorisation, created_on, started_on, finalised_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, total_return_quantity, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, total_credit_received_ex, total_credit_received_inc, credit_note_number (for value, matches id or supplier_reference of any of credit_notes linked to Supplier Return. Supported operators are eq, neq, contains, doesnotcontain, in, notin)
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,supplier:in:supplier1|supplier2
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Supplier Returns
SupplierReturns.PagingResponse
Supplier Returns VM
Show Child Parameters
Query Parameters
Headers
Creates Supplier Return
Sample request:
POST /supplierreturns
{
"supplier":{
"id": 1
},
"outlet":{
"id": 1
},
"notes": "notes",
"return_authorisation": "return authorisation",
"include_tax": false
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier Return model
EmptyExample
Response
application/json
Response
Supplier Return created
SupplierReturns
Supplier Returns VM
Supplier Return identifier
Include Tax
Default:true
Show Child Parameters
Show Child Parameters
Supplier Return Status Model
Show Child Parameters
Supplier address model
Show Child Parameters
Total return quantity
Total claim amount ex
Total claim amount tax
Total claim amount inc
Total credit received ex
Total credit received inc
Notes
>= 0 characters<= 8000 characters
Return Authorisation
>= 0 characters<= 100 characters
Started on
Created on
Modified on
Finalised on
Credit Note model
Show Child Parameters
Show Child Parameters
Show Child Parameters
Headers
Body
Gets specific Supplier Return by unique id
Gets specific Supplier Return by unique id
Path Parameters
Supplier Return id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Return
SupplierReturns
Supplier Returns VM
Supplier Return identifier
Include Tax
Default:true
Show Child Parameters
Show Child Parameters
Supplier Return Status Model
Show Child Parameters
Supplier address model
Show Child Parameters
Total return quantity
Total claim amount ex
Total claim amount tax
Total claim amount inc
Total credit received ex
Total credit received inc
Notes
>= 0 characters<= 8000 characters
Return Authorisation
>= 0 characters<= 100 characters
Started on
Created on
Modified on
Finalised on
Credit Note model